CURLOPT_PROXY_SSLKEY(3)

NAME
CURLOPT_PROXY_SSLKEY - specify private keyfile for TLS and SSL proxy client cert

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_PROXY_SSLKEY, char *keyfile);

DESCRIPTION
Pass a pointer to a zero terminated string as parameter. The string should be the file name of your private key used for connecting to the HTTPS proxy. The default format is "PEM" and can be changed with CURLOPT_PROXY_SSLKEYTYPE(3). (iOS and Mac OS X only) This option is ignored if curl was built against Secure Transport. Secure Transport expects the private key to be already present in the keychain or PKCS#12 file containing the certificate. The application does not have to keep the string around after setting this option.

DEFAULT
NULL

PROTOCOLS
All

EXAMPLE
TODO

AVAILABILITY
Added in 7.52.0 If built TLS enabled.

RETURN VALUE
Returns CURLE_OK if TLS is supported, CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

SEE ALSO
CURLOPT_PROXY_SSLKEYTYPE(3), CURLOPT_PROXY_SSLCERT(3), CURLOPT_SSLKEYTYPE(3), CURLOPT_SSLCERT(3),